DCMTK - Conformance #1110

Remove support for ICU (character set conversion library)
2024-03-06 14:36 - Jorg Riesmeier

Status:

Priority:

Assignee:
Category:

Target version:
Module:

Operating System:

Closed

Normal

Library
3.6.9

config, ofstd, dcmdata

Start date: 2024-03-06
Due date:

% Done: 100%
Estimated time: 2:00 hours
Compiler:

Description

As we now have "oficonv" integrated into the DCMTK and supporting ICU was never really working as expected (e.g. not all DICOM

Specific Character Sets supported), support for ICU should be removed from the DCMTK.

Support for the other external character set conversion libraries, i.e. libiconv and stdlibc (iconv), should remain in the DCMTK, at
least for the time being (until the next DCMTK release).

History

#1 - 2024-05-25 17:50 - Marco Eichelberg

- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 2:00 h

Closed by commit #b8e5fd510.
